aboutsummaryrefslogtreecommitdiffstats
path: root/package/hostap-driver
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2012-03-27 10:44:26 +0000
committerFelix Fietkau <nbd@openwrt.org>2012-03-27 10:44:26 +0000
commit699baacf386033412f5a232fa7f6b06ccc8592a9 (patch)
treedfe27f035c3f4e81d4dfb1fdc5d3dfdab05c9a3a /package/hostap-driver
parent3ad1877dd2575b9788137cf1f6d6e08f64b2c394 (diff)
downloadupstream-699baacf386033412f5a232fa7f6b06ccc8592a9.tar.gz
upstream-699baacf386033412f5a232fa7f6b06ccc8592a9.tar.bz2
upstream-699baacf386033412f5a232fa7f6b06ccc8592a9.zip
wpa_supplicant: use wext driver for hostap and madwifi
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@31081 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/hostap-driver')
-rwxr-xr-xpackage/hostap-driver/files/lib/wifi/hostap.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/hostap-driver/files/lib/wifi/hostap.sh b/package/hostap-driver/files/lib/wifi/hostap.sh
index 1491c6d54a..62d2e7e472 100755
--- a/package/hostap-driver/files/lib/wifi/hostap.sh
+++ b/package/hostap-driver/files/lib/wifi/hostap.sh
@@ -211,7 +211,7 @@ enable_prism2() {
;;
wds|sta)
if eval "type wpa_supplicant_setup_vif" 2>/dev/null >/dev/null; then
- wpa_supplicant_setup_vif "$vif" hostap || {
+ wpa_supplicant_setup_vif "$vif" wext || {
echo "enable_prism2($device): Failed to set up wpa_supplicant for interface $ifname" >&2
ifconfig "$ifname" down
continue